Package org.apache.datasketches.hive.tuple

## Class UnionDoubleSummarySketchUDAF

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver
  - - org.apache.datasketches.hive.tuple.UnionSketchUDAF
    - - org.apache.datasketches.hive.tuple.UnionDoubleSummarySketchUDAF

All Implemented Interfaces:
  `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver`, `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`

    public class UnionDoubleSummarySketchUDAF
    extends UnionSketchUDAF

This simple implementation is to give an example of a concrete UDAF based on the abstract UnionSketchUDAF if no extra arguments are needed.. The same functionality is included into UnionDoubleSummaryWithModeSketchUDAF with the default summary mode of Sum, but the implementation is more complex because of the extra argument.

### Nested Class Summary

Nested Classes
`static class` `UnionDoubleSummarySketchUDAF.UnionDoubleSummarySketchEvaluator`

### Nested classes/interfaces inherited from class org.apache.datasketches.hive.tuple.UnionSketchUDAF

`UnionSketchUDAF.UnionSketchEvaluator<S extends org.apache.datasketches.tuple.Summary>`

### Constructor Summary

Constructors
`UnionDoubleSummarySketchUDAF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `createEvaluator()` This is needed because a concrete UDAF is going to have its own concrete evaluator static inner class.

### Methods inherited from class org.apache.datasketches.hive.tuple.UnionSketchUDAF

`checkExtraArguments, getEvaluator`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

`getEvaluator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnionDoubleSummarySketchUDAF

    public UnionDoubleSummarySketchUDAF()

### Method Detail

#### createEvaluator

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator createEvaluator()

Description copied from class: `UnionSketchUDAF`
This is needed because a concrete UDAF is going to have its own concrete evaluator static inner class.

Specified by:
  `createEvaluator` in class `UnionSketchUDAF`
Returns:
  an instance of evaluator